package com.gic.haoban.manage.web.controller;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.collection.CollectionUtil;

import com.gic.clerk.api.dto.ClerkDTO;
import com.gic.clerk.api.service.ClerkService;
import com.gic.commons.util.EntityUtil;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.DepartmentDTO;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.api.service.DepartmentApiService;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.vo.ClerkVo;

@RestController
public class StoreController extends WebBaseController{
	@Autowired
	private ClerkService clerkService;
	@Autowired
	private StaffApiService staffApiService;
	@Autowired
	private DepartmentApiService departmentApiService;
	@Autowired
	private StaffDepartmentRelatedApiService staffDepartmentRelatedApiService;
	//门店列表
	@RequestMapping("/store-list")
	public HaobanResponse storeList(String staffId) {
		List<DepartmentDTO> storeList = new ArrayList<DepartmentDTO>();
		List<StaffDepartmentRelatedDTO> list = staffDepartmentRelatedApiService.listByStaffId(staffId);
		if(CollectionUtil.isEmpty(list)){
			return resultResponse(HaoBanErrCode.ERR_1,storeList);
		}
		List<String> departmentIds = list.stream().map(s->s.getDepartmentId()).collect(Collectors.toList());
		List<DepartmentDTO> resultList = departmentApiService.listByDepartmentIds(departmentIds, 1);
		return resultResponse(HaoBanErrCode.ERR_1,resultList);
	}
	
}
